<html>
    <head>
        <style>
            .wrapper {
                display: grid;
                /* grid-template-columns: 1fr 2fr 1fr; */
                grid-template-columns:repeat(3, 1fr);
                grid-gap: 1em;
                grid-auto-rows: minmax(100px, auto);
            }
            .wrapper > div {
                background: #eee;
                padding: 1em;
            }
            .wrapper > div:nth-child(odd) {
                background: #ddd;
            }
            .nested {
                display: grid;
                grid-template-columns: repeat(3, 1fr);
                grid-gap: 1em;
            }
            .nested > div {
                border: #eee 1px solid;
                padding: 1em;
            }
        </style>
    </head>
    <body>
        <div class="wrapper">
            <div> this is a random text.</div>
            <div> 
                this is a random text.
                this is a random text.
                this is a random text.
                this is a random text.
                this is a random text.
                this is a random text.
                this is a random text.
                this is a random text.
            </div>
            <div class="nested"> 
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
                <div>Lotrem</div>
            </div>
            <div> this is a random text.</div>
            <div> this is a random text.</div>
            <div> this is a random text.</div>
        </div>
    </body>
</html>